/**
 * Event arguments for the
 * actionExecuted event.
*/
var IgxSpreadsheetActionExecutedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxSpreadsheetActionExecutedEventArgs() {
    }
    Object.defineProperty(IgxSpreadsheetActionExecutedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxSpreadsheetActionExecutedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxSpreadsheetActionExecutedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxSpreadsheetActionExecutedEventArgs.prototype, "command", {
        /**
         * Returns the command which was executed on the
         * Spreadsheet.
        */
        get: function () {
            return this.i.command;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxSpreadsheetActionExecutedEventArgs.prototype, "commandParameter", {
        /**
         * Returns the parameter used when executing the command.
        */
        get: function () {
            return this.i.commandParameter;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetActionExecutedEventArgs;
}());
export { IgxSpreadsheetActionExecutedEventArgs };
